CVE Vulnerabilities

CVE-2013-2276

Published: Feb 27, 2013 | Modified: Nov 07, 2023
CVSS 3.x
N/A
Source:
NVD
CVSS 2.x
7.5 HIGH
AV:N/AC:L/Au:N/C:P/I:P/A:P
RedHat/V2
RedHat/V3
Ubuntu

The avcodec_decode_audio4 function in utils.c in libavcodec in FFmpeg before 1.1.3 does not verify the decoding state before proceeding with certain skip operations, which allows remote attackers to cause a denial of service (out-of-bounds array access and application crash) or possibly have unspecified other impact via crafted audio data.

Affected Software

Name Vendor Start Version End Version
Ffmpeg Ffmpeg * 1.1.2 (including)
Ffmpeg Ffmpeg 0.3 (including) 0.3 (including)
Ffmpeg Ffmpeg 0.3.1 (including) 0.3.1 (including)
Ffmpeg Ffmpeg 0.3.2 (including) 0.3.2 (including)
Ffmpeg Ffmpeg 0.3.3 (including) 0.3.3 (including)
Ffmpeg Ffmpeg 0.3.4 (including) 0.3.4 (including)
Ffmpeg Ffmpeg 0.4.0 (including) 0.4.0 (including)
Ffmpeg Ffmpeg 0.4.2 (including) 0.4.2 (including)
Ffmpeg Ffmpeg 0.4.3 (including) 0.4.3 (including)
Ffmpeg Ffmpeg 0.4.4 (including) 0.4.4 (including)
Ffmpeg Ffmpeg 0.4.5 (including) 0.4.5 (including)
Ffmpeg Ffmpeg 0.4.6 (including) 0.4.6 (including)
Ffmpeg Ffmpeg 0.4.7 (including) 0.4.7 (including)
Ffmpeg Ffmpeg 0.4.8 (including) 0.4.8 (including)
Ffmpeg Ffmpeg 0.4.9 (including) 0.4.9 (including)
Ffmpeg Ffmpeg 0.4.9-pre1 (including) 0.4.9-pre1 (including)
Ffmpeg Ffmpeg 0.5 (including) 0.5 (including)
Ffmpeg Ffmpeg 0.5.1 (including) 0.5.1 (including)
Ffmpeg Ffmpeg 0.5.2 (including) 0.5.2 (including)
Ffmpeg Ffmpeg 0.5.3 (including) 0.5.3 (including)
Ffmpeg Ffmpeg 0.5.4 (including) 0.5.4 (including)
Ffmpeg Ffmpeg 0.5.4.5 (including) 0.5.4.5 (including)
Ffmpeg Ffmpeg 0.5.4.6 (including) 0.5.4.6 (including)
Ffmpeg Ffmpeg 0.6 (including) 0.6 (including)
Ffmpeg Ffmpeg 0.6.1 (including) 0.6.1 (including)
Ffmpeg Ffmpeg 0.6.2 (including) 0.6.2 (including)
Ffmpeg Ffmpeg 0.6.3 (including) 0.6.3 (including)
Ffmpeg Ffmpeg 0.7 (including) 0.7 (including)
Ffmpeg Ffmpeg 0.7.1 (including) 0.7.1 (including)
Ffmpeg Ffmpeg 0.7.2 (including) 0.7.2 (including)
Ffmpeg Ffmpeg 0.7.3 (including) 0.7.3 (including)
Ffmpeg Ffmpeg 0.7.4 (including) 0.7.4 (including)
Ffmpeg Ffmpeg 0.7.5 (including) 0.7.5 (including)
Ffmpeg Ffmpeg 0.7.6 (including) 0.7.6 (including)
Ffmpeg Ffmpeg 0.7.7 (including) 0.7.7 (including)
Ffmpeg Ffmpeg 0.7.8 (including) 0.7.8 (including)
Ffmpeg Ffmpeg 0.7.9 (including) 0.7.9 (including)
Ffmpeg Ffmpeg 0.7.11 (including) 0.7.11 (including)
Ffmpeg Ffmpeg 0.7.12 (including) 0.7.12 (including)
Ffmpeg Ffmpeg 0.8.0 (including) 0.8.0 (including)
Ffmpeg Ffmpeg 0.8.1 (including) 0.8.1 (including)
Ffmpeg Ffmpeg 0.8.2 (including) 0.8.2 (including)
Ffmpeg Ffmpeg 0.8.5 (including) 0.8.5 (including)
Ffmpeg Ffmpeg 0.8.5.3 (including) 0.8.5.3 (including)
Ffmpeg Ffmpeg 0.8.5.4 (including) 0.8.5.4 (including)
Ffmpeg Ffmpeg 0.8.6 (including) 0.8.6 (including)
Ffmpeg Ffmpeg 0.8.7 (including) 0.8.7 (including)
Ffmpeg Ffmpeg 0.8.8 (including) 0.8.8 (including)
Ffmpeg Ffmpeg 0.8.10 (including) 0.8.10 (including)
Ffmpeg Ffmpeg 0.8.11 (including) 0.8.11 (including)
Ffmpeg Ffmpeg 0.9 (including) 0.9 (including)
Ffmpeg Ffmpeg 0.9.1 (including) 0.9.1 (including)
Ffmpeg Ffmpeg 0.10 (including) 0.10 (including)
Ffmpeg Ffmpeg 0.10.3 (including) 0.10.3 (including)
Ffmpeg Ffmpeg 0.10.4 (including) 0.10.4 (including)
Ffmpeg Ffmpeg 0.11 (including) 0.11 (including)
Ffmpeg Ffmpeg 1.0 (including) 1.0 (including)
Ffmpeg Ffmpeg 1.1.1 (including) 1.1.1 (including)
Ffmpeg Ubuntu hardy *

References